
void initControls(int width, int height,const char * graphics_path,const char *settings_file);

void frameControls();

void touchControls(int action, int pid, float x, float y);

void setTouchSettings(float alpha,float strafe,float fwd,float pitch,float yaw,int other);


void gamepadButtonPressed();
